Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tool.hbm2ddl
Class ColumnMetadata

    java.lang.Object
      org.hibernate.tool.hbm2ddl.ColumnMetadata

    public class ColumnMetadata

extends Object

JDBC column metadata

Method Summary
`int` | `getColumnSize()`
`int` | `getDecimalDigits()`
`String` | `getName()`
`String` | `getNullable()`
`int` | `getTypeCode()`
`String` | `getTypeName()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

### getTypeName

    public String getTypeName()

### getColumnSize

    public int getColumnSize()

### getDecimalDigits

    public int getDecimalDigits()

### getNullable

    public String getNullable()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getTypeCode

    public int getTypeCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.